package com.iamberry.wechat.core.entity.channel;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;

import  java.util.Date;
import  java.io.Serializable;
/**
 *  主渠道基本信息类
 * @author xm
 * @Date 2018-07-23
 */
public class MainChannel  implements  Serializable{
    private static final long serialVersionUID = -623378035777842470L;
    //渠道id
    private Integer mainChannelId;
    //openid
    private String mainChannelOpenId;
    //渠道名称
    private String mainChannelName;
    //对接人
    private String mainChannelDockingName;
    //对接人手机
    private String mainChannelDockingTel;
    //账户银行
    private String mainChannelBank;
    //账户银行账号
    private String mainChannelBankAccount;
    //开户名称
    private String mainChannelBankName;
    //开户支行
    private String mainChannelBankBranch;
    //二维码地址
    private String mainChannelQrcode;
    //状态1：使用中 2：未使用
    private Integer mainChannelStatus;
    //备注
    private String mainChannelDesc;
    //创建时间
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern="yyyy-MM-dd",timezone = "GMT+8")
    private Date mainChannelCreateTime;
    //修改时间
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern="yyyy-MM-dd",timezone = "GMT+8")
    private Date mainChannelUpdateTime;

    private Integer rebackAmount;//账户余额
    public Integer getMainChannelId(){
        return mainChannelId;
    }

    public void setMainChannelId(Integer  mainChannelId){
        this.mainChannelId=mainChannelId;
    }

    public String getMainChannelOpenId(){
        return mainChannelOpenId;
    }

    public void setMainChannelOpenId(String  mainChannelOpenId){
        this.mainChannelOpenId=mainChannelOpenId;
    }

    public String getMainChannelName(){
        return mainChannelName;
    }

    public void setMainChannelName(String  mainChannelName){
        this.mainChannelName=mainChannelName;
    }

    public String getMainChannelDockingName(){
        return mainChannelDockingName;
    }

    public void setMainChannelDockingName(String  mainChannelDockingName){
        this.mainChannelDockingName=mainChannelDockingName;
    }

    public String getMainChannelDockingTel(){
        return mainChannelDockingTel;
    }

    public void setMainChannelDockingTel(String  mainChannelDockingTel){
        this.mainChannelDockingTel=mainChannelDockingTel;
    }

    public String getMainChannelBank(){
        return mainChannelBank;
    }

    public void setMainChannelBank(String  mainChannelBank){
        this.mainChannelBank=mainChannelBank;
    }

    public String getMainChannelBankAccount(){
        return mainChannelBankAccount;
    }

    public void setMainChannelBankAccount(String  mainChannelBankAccount){
        this.mainChannelBankAccount=mainChannelBankAccount;
    }

    public String getMainChannelBankName(){
        return mainChannelBankName;
    }

    public void setMainChannelBankName(String  mainChannelBankName){
        this.mainChannelBankName=mainChannelBankName;
    }

    public String getMainChannelBankBranch(){
        return mainChannelBankBranch;
    }

    public void setMainChannelBankBranch(String  mainChannelBankBranch){
        this.mainChannelBankBranch=mainChannelBankBranch;
    }

    public Integer getMainChannelStatus(){
        return mainChannelStatus;
    }

    public void setMainChannelStatus(Integer  mainChannelStatus){
        this.mainChannelStatus=mainChannelStatus;
    }

    public String getMainChannelDesc(){
        return mainChannelDesc;
    }

    public void setMainChannelDesc(String  mainChannelDesc){
        this.mainChannelDesc=mainChannelDesc;
    }

    public Date getMainChannelCreateTime(){
        return mainChannelCreateTime;
    }

    public void setMainChannelCreateTime(Date  mainChannelCreateTime){
        this.mainChannelCreateTime=mainChannelCreateTime;
    }

    public Date getMainChannelUpdateTime(){
        return mainChannelUpdateTime;
    }

    public void setMainChannelUpdateTime(Date  mainChannelUpdateTime){
        this.mainChannelUpdateTime=mainChannelUpdateTime;
    }

    public String getMainChannelQrcode() {
        return mainChannelQrcode;
    }

    public void setMainChannelQrcode(String mainChannelQrcode) {
        this.mainChannelQrcode = mainChannelQrcode;
    }

    public Integer getRebackAmount() {
        return rebackAmount;
    }

    public void setRebackAmount(Integer rebackAmount) {
        this.rebackAmount = rebackAmount;
    }
}